### Constructor

# FwupdPlugin Plugin new_from_gtype

since: 1.8.6

#### Declaration [src]

    FuPlugin*
    fu_plugin_new_from_gtype (
      GType gtype,
      FuContext* ctx
    )

#### Description [src]

Creates a new `FuPlugin`.

Available since: 1.8.6

#### Parameters

`gtype`

  Type: `GType`

  A `GType`, possibly even `G_TYPE_PLUGIN`.

`ctx`

  Type: `FuContext`

  A `FuContext`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `FuPlugin`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.